http://synthetics.{region}.amazonaws.com/group/{groupIdentifier}/resourcesThis operation returns a list of the ARNs of the canaries that are associated with the specified group.
Specifies the group to return information for. You can specify the group name, the ARN, or the group ID as the <code>GroupIdentifier</code>.
Pagination limit
Pagination token
A token that indicates that there is more data available. You can use this token in a subsequent operation to retrieve the next set of results.
Specify this parameter to limit how many canary ARNs are returned each time you use the <code>ListGroupResources</code> operation. If you omit this parameter, the default of 20 is used.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://synthetics.{region}.amazonaws.com/group/{groupIdentifier}/resources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://synthetics.{region}.amazonaws.com/group/{groupIdentifier}/resourcesThis operation returns a list of the ARNs of the canaries that are associated with the specified group.
Specifies the group to return information for. You can specify the group name, the ARN, or the group ID as the <code>GroupIdentifier</code>.
Pagination limit
Pagination token
A token that indicates that there is more data available. You can use this token in a subsequent operation to retrieve the next set of results.
Specify this parameter to limit how many canary ARNs are returned each time you use the <code>ListGroupResources</code> operation. If you omit this parameter, the default of 20 is used.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://synthetics.{region}.amazonaws.com/group/{groupIdentifier}/resources' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}